# Initial test script
import upiwin
import upiwin_tmp

def log_touch(event, x, y):
	print("Touch {0} at ({1}, {2})".format(event, x, y))

upiwin_tmp.filled_rectangle(10, 10, 50, 50, upiwin_tmp.FBPRIMCLR_RED, False)
upiwin_tmp.filled_rectangle(60, 10, 100, 50, upiwin_tmp.FBPRIMCLR_GREEN, False)
upiwin_tmp.filled_rectangle(110, 10, 150, 50, upiwin_tmp.FBPRIMCLR_BLUE, False)
upiwin_tmp.filled_rectangle(10, 60, 50, 100, upiwin_tmp.FBPRIMCLR_CYAN, False)
upiwin_tmp.filled_rectangle(60, 60, 100, 100, upiwin_tmp.FBPRIMCLR_MAGENTA, False)
upiwin_tmp.filled_rectangle(110, 60, 150, 100, upiwin_tmp.FBPRIMCLR_YELLOW, False)
upiwin_tmp.rectangle(10, 110, 150, 150, upiwin_tmp.FBPRIMCLR_WHITE, False)
upiwin_tmp.line(10, 110, 150, 150, upiwin_tmp.FBPRIMCLR_WHITE, False)
upiwin_tmp.line(10, 150, 150, 110, upiwin_tmp.FBPRIMCLR_WHITE, False)

upiwin_tmp.line(0, 180, 319, 180, upiwin_tmp.FBPRIMCLR_RED, False);
upiwin_tmp.line(0, 196, 319, 196, upiwin_tmp.FBPRIMCLR_RED, False);
upiwin_tmp.textout(10, 180, 'Amy was here!!!')

msg = {}
while upiwin.get_message(msg):
	if msg['message'] == upiwin.WM_HWBUTTONDOWN:
		print("Button {0} was pressed.".format(msg['attrs'][0]))
	elif msg['message'] == upiwin.WM_HWBUTTONUP:
		print("Button {0} was released.".format(msg['attrs'][0]))
	elif msg['message'] == upiwin.WM_HWBUTTONCLICK:
		print("Button {0} was clicked.".format(msg['attrs'][0]))
		bn = msg['attrs'][0]
		if bn == 1:
			print("Backlight ON.")
			upiwin.set_backlight(True)
		elif bn == 2:
			print("Backlight OFF.")
			upiwin.set_backlight(False)
		elif bn == 4:
			print("Quitting the application.")
			upiwin.post_quit_message(0)
	elif msg['message'] == upiwin.WM_TOUCHDOWN:
		log_touch('DOWN', msg['attrs'][0], msg['attrs'][1])
	elif msg['message'] == upiwin.WM_TOUCHMOVE:
		log_touch('MOVE', msg['attrs'][0], msg['attrs'][1])
	elif msg['message'] == upiwin.WM_TOUCHUP:
		log_touch('UP', msg['attrs'][0], msg['attrs'][1])
	elif msg['message'] == upiwin.WM_TOUCHCLICK:
		log_touch('CLICK', msg['attrs'][0], msg['attrs'][1])
