#ifndef __GPIO_H_INCLUDED
#define __GPIO_H_INCLUDED

#include "wintype.h"

#define GPIO_BUTTON_COUNT  4           /* number of GPIO buttons we have */

/* state flags for the GPIO buttons */
#define GRB_STATE_BUTTON1  (1 << 0)
#define GRB_STATE_BUTTON2  (1 << 1)
#define GRB_STATE_BUTTON3  (1 << 2)
#define GRB_STATE_BUTTON4  (1 << 3)

#define GSB_BACKLIGHT_MAX   1023       /* maximum level for backlight */

#define GSB_BACKLIGHT_DEFAULT  GSB_BACKLIGHT_MAX

extern HRESULT Gpio_setup(void);
extern UINT32 Gpio_read_buttons(void);
extern void Gpio_set_backlight(UINT32 level);

#endif /* __GPIO_H_INCLUDED */
